[YT2] Generate YouTube Script
curl --request POST \
--url https://api-lr.agent.ai/v1/action/youtube_script_writer_generate_youtube_script_action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"topic": "<string>",
"video_format": "tutorial",
"target_length": "medium",
"script_detail_level": "full_script",
"output_variable_name": "youtube_script",
"angle_hook": "<string>",
"target_audience": "<string>",
"key_points": "<string>",
"tone_of_voice": "conversational"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/youtube_script_writer_generate_youtube_script_action"
payload = {
"topic": "<string>",
"video_format": "tutorial",
"target_length": "medium",
"script_detail_level": "full_script",
"output_variable_name": "youtube_script",
"angle_hook": "<string>",
"target_audience": "<string>",
"key_points": "<string>",
"tone_of_voice": "conversational"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
topic: '<string>',
video_format: 'tutorial',
target_length: 'medium',
script_detail_level: 'full_script',
output_variable_name: 'youtube_script',
angle_hook: '<string>',
target_audience: '<string>',
key_points: '<string>',
tone_of_voice: 'conversational'
})
};
fetch('https://api-lr.agent.ai/v1/action/youtube_script_writer_generate_youtube_script_action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}YouTube Creator Team
[YT2] Generate YouTube Script
Generates a production-ready YouTube script for a given topic.
POST
/
action
/
youtube_script_writer_generate_youtube_script_action
[YT2] Generate YouTube Script
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
Available options:
tutorial, listicle, opinion, case_study, product_demo Available options:
short, medium, long Available options:
full_script, talking_points Variable name for the result.
Pattern:
^[a-zA-Z][a-zA-Z0-9_]*$Available options:
conversational, professional, energetic, friendly ⌘I

